Categories

AutoCAD 2015 and AutoCAD LT 2015 BibleAutoCAD 2015 and AutoCAD LT 2015 Bible

The most comprehensive AutoCAD book around!

Avoid drawing temporary construction lines

autocad_tips_construction-lines-1When you need to draw a rectangle or line that doesn’t start on a geometric point (endpoint, midpoint, etc.) of another object, you might draw a temporary line, called a construction line, from an existing object to the desired start point of the new line.

Then you would draw the rectangle or line. Then erase the construction line.

This is so very 70’s, left over from hand drafting days! Instead you can use another drafting tool to start your new line more quickly and avoid the erasing process. (How many of you have forgotten to erase that line?)

The From object snap

From isn’t really an object snap, but it lets you start lines a certain x,y offset from an existing point. Use it when you know the x and y distances from some point.

Let’s say that you have a rectangle, the outer edge of a window frame, and you want to draw the glass pane as another rectangle inside the first one. You might draw a line 3,2 units from the lower-left corner so that you have an endpoint from which to start your inside pane.

Instead, here’s what you should do:

1.autocad_tips_construction-lines-2 Draw the first rectangle.
2. Start the RECTANG command for the second rectangle.
3. At the RECTANG prompt, type from and press Enter. (Or press Shift+right-click and choose From on the Object Snap short-cut menu.)
4. At the Base point: prompt, use an OSNAP to specify the lower-left corner of the first rectangle.
5. At the <Offset>: prompt, enter the offset, such as @3,2. Your rectangle starts in the right place.

IMPORTANT: You must put the @ before the offset, even if you’re using the default relative coordinates.

3 small blue asterisks How do you avoid drawing constructions lines? Leave a comment!

5 comments to Avoid drawing temporary construction lines

  • Bill Walker

    YES!! the ” From ” entry…I guess it’s not a command…I use that about every 8-9 seconds, it seems…you can leave off the “m”, but I wish I knew how to assign a 1-stroke shortcut to it! Keep up the good work, Ellen!

  • DCP

    Use xlines! Set up a button for horizontal and a button for vertical and use the lisp below (horizontal version given). You can drop in as many lines as you want and they’re all a particular colour, layer, lweight and ltype, as soon as you end the command with Enter (not Esc) the previous properties are reset. Not a problem remembering to erase purple, infinitely long lines! Use the power of OTRACK to offset by hovering over a grip and then moving along an axis, check that a faint dotted line shows then type in the offset distance. This won’t work if you haven’t got a layer “1” but you can choose your own layer by editing the Setvar clayer line.

    (defun c:hl ( / curlay curcol curweight curtype)
    (setq curlay (getvar “clayer”))
    (setq curcol (getvar “cecolor”))
    (setq curweight (getvar “celweight”))
    (setq curtype (getvar “celtype”))
    (setvar “clayer” “1”)
    (setvar “cecolor” “193”)
    (setvar “celweight” -1)
    (setvar “celtype” “ByLayer”)
    (command “_xline” “h”)
    (while
    (eq 1 (logand (getvar “cmdactive”) 1))
    (command pause)
    )
    (setvar “clayer” curlay)
    (setvar “cecolor” curcol)
    (setvar “celweight” curweight)
    (setvar “celtype” curtype)
    (princ)
    )
    Save this as hl.lsp in your support folder

    Change defun c:hl to defun c:cl, command “_xline” “h” to command “_xline” “v” and save as vl.lisp in the same place.

    Find acaddoc.lsp in the same folder and add

    (load “hl”)
    (load “vl”)

    Create two new buttons and call up hl or vl as macros.

    I’m not a programmer (I wish) so this code can probably be improved no end as could the description of how to do the rest – assuming anyone thinks it’s worth it!

  • Todd R. Walsh

    Another way to ensure that the construction lines do not cause a problem is to place them in a ‘No Plot’ layer. I make mine a different color. And even if I do not erase them, they do not plot, so no worries.

  • Marcy G

    Ctrl + right click will bring you a menu from which to get the “from”

    I use it all the time

  • Mark Loomis

    The Mid Between 2 Points object snap will also save you from drawing temporary construction lines.

Leave a Reply

You can use these HTML tags

<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>